blind-checks
List a project's blind-check plans
GET
/
api
/
v1
/
blind-checks
/
plans
List a project's blind-check plans
curl --request GET \
--url https://api.nitsor.com/api/v1/blind-checks/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nitsor.com/api/v1/blind-checks/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nitsor.com/api/v1/blind-checks/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/blind-checks/plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/blind-checks/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nitsor.com/api/v1/blind-checks/plans")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/blind-checks/plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"planId": "<string>",
"projectId": "<string>",
"branchId": "<string>",
"stageId": "<string>",
"agentSubject": "<string>",
"setupVersion": "<string>",
"blockedSetupVersion": "<string>",
"targetRateBasisPoints": 123,
"allowedFailures": 1,
"plannedChecks": 123,
"confidence": 123,
"samplingRateBasisPoints": 5000,
"scanGrouping": "source_and_dicom_study",
"patientGrouping": {
"state": "not_enforced",
"reason": "Sources carry no patient or part key, so two scans of one patient or part in different studies can both be sampled."
},
"status": "running",
"stopReason": "stopped_by_person",
"progress": {
"sampled": 1,
"sampledOtherSetup": 1,
"skippedContaminated": 1,
"withdrawn": 1,
"voided": 1,
"awaitingSubmit": 1,
"awaitingScore": 1,
"notScored": {
"total": 1,
"pendingRunPlane": 1,
"noMeasure": 1
},
"decided": 1,
"failures": 1
},
"statement": {
"unit": "scans",
"checks": 1,
"failures": 1,
"confidence": 123,
"upperBound": 0.5,
"upperBoundPercent": 50
},
"chanceOfPassing": [
{
"trueRate": 123,
"probability": 0.5
}
],
"scansToComplete": 123,
"capacity": {
"state": "none_needed",
"queuedAtStage": 1,
"queuedUpstream": 1,
"checksNeeded": 1,
"scansNeededAtRate": 1,
"message": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"startedBy": {
"issuer": "<string>",
"subject": "<string>",
"type": "user"
},
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Query Parameters
⌘I
List a project's blind-check plans
curl --request GET \
--url https://api.nitsor.com/api/v1/blind-checks/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nitsor.com/api/v1/blind-checks/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nitsor.com/api/v1/blind-checks/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/blind-checks/plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/blind-checks/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nitsor.com/api/v1/blind-checks/plans")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/blind-checks/plans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"planId": "<string>",
"projectId": "<string>",
"branchId": "<string>",
"stageId": "<string>",
"agentSubject": "<string>",
"setupVersion": "<string>",
"blockedSetupVersion": "<string>",
"targetRateBasisPoints": 123,
"allowedFailures": 1,
"plannedChecks": 123,
"confidence": 123,
"samplingRateBasisPoints": 5000,
"scanGrouping": "source_and_dicom_study",
"patientGrouping": {
"state": "not_enforced",
"reason": "Sources carry no patient or part key, so two scans of one patient or part in different studies can both be sampled."
},
"status": "running",
"stopReason": "stopped_by_person",
"progress": {
"sampled": 1,
"sampledOtherSetup": 1,
"skippedContaminated": 1,
"withdrawn": 1,
"voided": 1,
"awaitingSubmit": 1,
"awaitingScore": 1,
"notScored": {
"total": 1,
"pendingRunPlane": 1,
"noMeasure": 1
},
"decided": 1,
"failures": 1
},
"statement": {
"unit": "scans",
"checks": 1,
"failures": 1,
"confidence": 123,
"upperBound": 0.5,
"upperBoundPercent": 50
},
"chanceOfPassing": [
{
"trueRate": 123,
"probability": 0.5
}
],
"scansToComplete": 123,
"capacity": {
"state": "none_needed",
"queuedAtStage": 1,
"queuedUpstream": 1,
"checksNeeded": 1,
"scansNeededAtRate": 1,
"message": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"startedBy": {
"issuer": "<string>",
"subject": "<string>",
"type": "user"
},
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}